SDL_SetWindowMouseRect(3)

NAME
SDL_SetWindowMouseRect - Confines the cursor to the specified area of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetWindowMouseRect(SDL_Window *window, const SDL_Rect *rect);

DESCRIPTION
Note that this does NOT grab the cursor, it only defines the area a cursor is restricted to when the window has mouse focus.

FUNCTION PARAMETERS

window
    the window that will be associated with the barrier.

rect
    a rectangle area in window-relative coordinates. If NULL the barrier for the specified window will be destroyed.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowMouseRect(3), •(3), SDL_GetWindowMouseGrab(3), •(3), SDL_SetWindowMouseGrab(3)